Bug 2082394 - [abrt] kicad: std::__replacement_assert(): kicad killed by SIGABRT
Summary: [abrt] kicad: std::__replacement_assert(): kicad killed by SIGABRT
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kicad
Version: 36
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Steven A. Falco
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:c49784e34035c99a6894ea722cc...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-05-06 02:36 UTC by abode091@gmail.com
Modified: 2022-05-16 02:05 UTC (History)
5 users (show)

Fixed In Version: kicad-6.0.5-2.fc36 kicad-6.0.5-2.fc34 kicad-6.0.5-2.fc35
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-05-16 01:09:07 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (196.90 KB, text/plain)
2022-05-06 02:36 UTC, abode091@gmail.com
no flags Details
File: core_backtrace (77.69 KB, text/plain)
2022-05-06 02:36 UTC, abode091@gmail.com
no flags Details
File: cpuinfo (2.42 KB, text/plain)
2022-05-06 02:37 UTC, abode091@gmail.com
no flags Details
File: dso_list (238 bytes, text/plain)
2022-05-06 02:37 UTC, abode091@gmail.com
no flags Details
File: environ (1.70 KB, text/plain)
2022-05-06 02:37 UTC, abode091@gmail.com
no flags Details
File: limits (1.29 KB, text/plain)
2022-05-06 02:37 UTC, abode091@gmail.com
no flags Details
File: maps (3.90 KB, text/plain)
2022-05-06 02:37 UTC, abode091@gmail.com
no flags Details
File: mountinfo (2.84 KB, text/plain)
2022-05-06 02:37 UTC, abode091@gmail.com
no flags Details
File: open_fds (5.76 KB, text/plain)
2022-05-06 02:37 UTC, abode091@gmail.com
no flags Details
File: proc_pid_status (1.39 KB, text/plain)
2022-05-06 02:37 UTC, abode091@gmail.com
no flags Details

Description abode091@gmail.com 2022-05-06 02:36:23 UTC
Description of problem:
I just opened footprint editor, and that's not the first time, bit I noticed that whenever that happen I was adding footprint and 3D view before crashing

Version-Release number of selected component:
kicad-1:6.0.4-1.fc34

Additional info:
reporter:       libreport-2.15.2
backtrace_rating: 4
cgroup:         0::/user.slice/user-1000.slice/user/app.slice/app-glib-kicad-66805.scope
cmdline:        kicad
crash_function: std::__replacement_assert
executable:     /usr/bin/kicad
journald_cursor: s=e52d416e20674e4bac4122a7f48da430;i=50aa5;b=2bf2f59ab11b4745a5f9ed3014a0a0ba;m=b43a19611;t=5de4e4cb07152;x=61b1b669fc31f423
kernel:         5.17.5-100.fc34.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 std::__replacement_assert at /usr/include/c++/11/x86_64-redhat-linux/bits/c++config.h:2660
 #3 std::vector<VECTOR2<int>, std::allocator<VECTOR2<int> > >::operator[] at /usr/include/c++/11/bits/stl_vector.h:1043
 #5 ZONE::HatchBorder at /usr/src/debug/kicad-6.0.4-1.fc34.x86_64/pcbnew/zone.cpp:1031
 #6 ZONE::SetBorderDisplayStyle at /usr/src/debug/kicad-6.0.4-1.fc34.x86_64/pcbnew/zone.cpp:882
 #7 PCB_PARSER::parseZONE at /usr/src/debug/kicad-6.0.4-1.fc34.x86_64/pcbnew/plugins/kicad/pcb_parser.cpp:5437
 #8 PCB_PARSER::parseFOOTPRINT_unchecked at /usr/include/c++/11/bits/unique_ptr.h:173
 #9 PCB_PARSER::parseFOOTPRINT at /usr/src/debug/kicad-6.0.4-1.fc34.x86_64/pcbnew/plugins/kicad/pcb_parser.cpp:3211
 #10 PCB_PARSER::Parse at /usr/include/c++/11/bits/unique_ptr.h:185
 #11 FP_CACHE::Load at /usr/src/debug/kicad-6.0.4-1.fc34.x86_64/pcbnew/plugins/kicad/pcb_plugin.cpp:274
 #12 PCB_PLUGIN::FootprintEnumerate at /usr/src/debug/kicad-6.0.4-1.fc34.x86_64/pcbnew/plugins/kicad/pcb_plugin.cpp:2390

Comment 1 abode091@gmail.com 2022-05-06 02:36:50 UTC
Created attachment 1877470 [details]
File: backtrace

Comment 2 abode091@gmail.com 2022-05-06 02:36:59 UTC
Created attachment 1877471 [details]
File: core_backtrace

Comment 3 abode091@gmail.com 2022-05-06 02:37:02 UTC
Created attachment 1877472 [details]
File: cpuinfo

Comment 4 abode091@gmail.com 2022-05-06 02:37:04 UTC
Created attachment 1877473 [details]
File: dso_list

Comment 5 abode091@gmail.com 2022-05-06 02:37:06 UTC
Created attachment 1877474 [details]
File: environ

Comment 6 abode091@gmail.com 2022-05-06 02:37:07 UTC
Created attachment 1877475 [details]
File: limits

Comment 7 abode091@gmail.com 2022-05-06 02:37:10 UTC
Created attachment 1877476 [details]
File: maps

Comment 8 abode091@gmail.com 2022-05-06 02:37:12 UTC
Created attachment 1877477 [details]
File: mountinfo

Comment 9 abode091@gmail.com 2022-05-06 02:37:14 UTC
Created attachment 1877478 [details]
File: open_fds

Comment 10 abode091@gmail.com 2022-05-06 02:37:17 UTC
Created attachment 1877479 [details]
File: proc_pid_status

Comment 11 Steven A. Falco 2022-05-06 13:44:49 UTC
I've reported the bug upstream.  We'll see if the developers can track down the cause.

Comment 12 Steven A. Falco 2022-05-06 19:27:29 UTC
Upstream thinks they know what caused this crash, and have pointed me to a potential fix - it sounds like a race condition, which is why it doesn't always happen.

I'll make a build in my personal copr and I'll provide a link in case you are able to test it.

It will take a few hours to build.

Comment 13 Steven A. Falco 2022-05-07 00:11:00 UTC
A test repo is here: https://copr.fedorainfracloud.org/coprs/stevenfalco/

I'll start production builds tomorrow.

Comment 14 Steven A. Falco 2022-05-07 17:49:28 UTC
Now available in the official KiCad Copr:  https://copr.fedorainfracloud.org/coprs/g/kicad/kicad/

Comment 15 Fedora Update System 2022-05-07 18:53:14 UTC
FEDORA-2022-94a7ee7f62 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2022-94a7ee7f62

Comment 16 Fedora Update System 2022-05-08 04:07:05 UTC
FEDORA-2022-94a7ee7f62 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-94a7ee7f62`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-94a7ee7f62

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 17 abode091@gmail.com 2022-05-11 17:09:17 UTC
I'm upgrading to Fedora 36 with KDE, I may try the copr version, that's much better than the testing repository.

though I'm now convinced that flatpak is the way to distribute programs and distribution repositories are better for basic system components are cli programs.

thank you for your time and effort.

Comment 18 Steven A. Falco 2022-05-11 21:02:17 UTC
You are welcome.  We do have a flatpak available, but that is packaged separately, and probably won't include this specific fix until 6.0.6 rolls out.  So, you should probably use the Copr version, or, if you wait 4 more days, the rpm I built will move from the testing repo into the production Fedora repo.

Comment 19 abode091@gmail.com 2022-05-11 22:57:47 UTC
alright, I think I'll wait 4 more days.
thank you a lot for your awesome work <3

Comment 20 Ben Cotton 2022-05-12 16:58:58 UTC
This message is a reminder that Fedora Linux 34 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora Linux 34 on 2022-06-07.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
'version' of '34'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, change the 'version' 
to a later Fedora Linux version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora Linux 34 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora Linux, you are encouraged to change the 'version' to a later version
prior to this bug being closed.

Comment 21 Fedora Update System 2022-05-12 19:45:34 UTC
FEDORA-2022-12e166d642 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2022-12e166d642

Comment 22 Steven A. Falco 2022-05-12 19:48:10 UTC
Moving to F35.  The new package will move to "stable" in 3 days.

Comment 23 Fedora Update System 2022-05-12 19:50:35 UTC
FEDORA-2022-a8584d360c has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-a8584d360c

Comment 24 abode091@gmail.com 2022-05-13 00:59:04 UTC
I'm making a bootable USB stick right now, I'm moving to fedora 36 with GNOME, I'll e using kiCAD there.
thanks a lot, see you on my new installation

Comment 25 Fedora Update System 2022-05-16 01:09:07 UTC
FEDORA-2022-a8584d360c has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 26 Fedora Update System 2022-05-16 01:44:37 UTC
FEDORA-2022-94a7ee7f62 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 27 Fedora Update System 2022-05-16 02:05:41 UTC
FEDORA-2022-12e166d642 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.